%define name	real-codecs
%define version	1.2
%define release	%mkrel 5
%define distsuffix plf
%define essentialamd64 20061203

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Real Player codecs binaries
License:	Commercial
Group:		System/Libraries
URL:		http://realforum.real.com/cgi-bin/unixplayer/wwwthreads.pl
Source:		http://www1.mplayerhq.hu/MPlayer/releases/codecs/rp9codecs.tar.bz2
Source1:	http://www1.mplayerhq.hu/MPlayer/releases/codecs/rp8codecs-ppc.tar.bz2
Source2:	http://www1.mplayerhq.hu/MPlayer/releases/codecs/rp8codecs-alpha.tar.bz2
Source3:	real-codecs-10.tar.bz2
Source4:        essential-amd64-%essentialamd64.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
ExclusiveArch:	%{ix86} x86_64 ppc alpha

%description
This package contains Real Player codecs binaries.

This package is in PLF for it's closed source nature.

%prep
%setup -q -n rp9codecs -a 1 -a 2 -a 3 -a 4

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/codecs
%ifarch %ix86
install -m 755 *.so* $RPM_BUILD_ROOT%{_libdir}/codecs
%endif
%ifarch ppc
install -m 755 rp8codecs-ppc/* $RPM_BUILD_ROOT%{_libdir}/codecs
%endif
%ifarch alpha
install -m 755 rp8codecs-alpha/* $RPM_BUILD_ROOT%{_libdir}/codecs
%endif
%ifarch x86_64
install -m 755 essential-amd64-%essentialamd64/*.so $RPM_BUILD_ROOT%{_libdir}/codecs
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc essential-amd64-%essentialamd64/README
%{_libdir}/codecs

%changelog
* Sun Apr 25 2010 Gtz Waschk <goetz@zarb.org> 1.2-5plf2010.1
- move everything to %_libdir/codecs

* Thu Jul  2 2009 Gtz Waschk <goetz@zarb.org> 1.2-4plf2010.0
- spec file fix

* Thu Jul 26 2007 Gtz Waschk <goetz@zarb.org> 1.2-3plf2008.0
- add x86_64 codecs

* Sat Sep 24 2005 Goetz Waschk <goetz@ryu.zarb.org> 1.2-3plf
- add cook.so and drvc.so

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.2-2plf
- fix description

* Mon Sep  8 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2-1plf
- switch to mplayer codec pack for x86 too, should also work with xine

* Tue Aug 19 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1-1plf
- include alpha and ppc rp8 codecs

* Wed Jul 16 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.0-1plf
- first plf release
